OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.GeometryShader4

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTGeometryShader4 :: MonadIO m => m Bool
- gl_EXT_geometry_shader4 :: Bool
- pattern GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT :: GLenum
- pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT :: GLenum
- pattern GL_GEOMETRY_INPUT_TYPE_EXT :: GLenum
- pattern GL_GEOMETRY_OUTPUT_TYPE_EXT :: GLenum
- pattern GL_GEOMETRY_SHADER_EXT :: GLenum
- pattern GL_GEOMETRY_VERTICES_OUT_EXT :: GLenum
- pattern GL_LINES_ADJACENCY_EXT :: GLenum
- pattern GL_LINE_STRIP_ADJACENCY_EXT :: GLenum
- pattern GL_MAX_GEOMETRY_OUTPUT_VERTICES_EXT :: GLenum
- pattern GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT :: GLenum
- pattern GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT :: GLenum
- pattern GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT :: GLenum
- pattern GL_MAX_GEOMETRY_VARYING_COMPONENTS_EXT :: GLenum
- pattern GL_MAX_VARYING_COMPONENTS_EXT :: GLenum
- pattern GL_MAX_VERTEX_VARYING_COMPONENTS_EXT :: GLenum
- pattern GL_PROGRAM_POINT_SIZE_EXT :: GLenum
- pattern GL_TRIANGLES_ADJACENCY_EXT :: GLenum
- pattern GL_TRIANGLE_STRIP_ADJACENCY_EXT :: GLenum
- glProgramParameteriEXT :: MonadIO m => GLuint -> GLenum -> GLint -> m ()

# Extension Support

glGetEXTGeometryShader4 :: MonadIO m => m Bool Source #

Is the EXT_geometry_shader4 extension supported?

gl_EXT_geometry_shader4 :: Bool Source #

Is the EXT_geometry_shader4 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTGeometryShader4` in those cases instead.

# Enums

pattern GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT :: GLenum Source #

pattern GL_GEOMETRY_INPUT_TYPE_EXT :: GLenum Source #

pattern GL_GEOMETRY_OUTPUT_TYPE_EXT :: GLenum Source #

pattern GL_GEOMETRY_SHADER_EXT :: GLenum Source #

pattern GL_GEOMETRY_VERTICES_OUT_EXT :: GLenum Source #

pattern GL_LINES_ADJACENCY_EXT :: GLenum Source #

pattern GL_LINE_STRIP_ADJACENCY_EXT :: GLenum Source #

pattern GL_MAX_GEOMETRY_OUTPUT_VERTICES_EXT :: GLenum Source #

pattern GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT :: GLenum Source #

pattern GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT :: GLenum Source #

pattern GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT :: GLenum Source #

pattern GL_MAX_GEOMETRY_VARYING_COMPONENTS_EXT :: GLenum Source #

pattern GL_MAX_VARYING_COMPONENTS_EXT :: GLenum Source #

pattern GL_MAX_VERTEX_VARYING_COMPONENTS_EXT :: GLenum Source #

pattern GL_PROGRAM_POINT_SIZE_EXT :: GLenum Source #

pattern GL_TRIANGLES_ADJACENCY_EXT :: GLenum Source #

pattern GL_TRIANGLE_STRIP_ADJACENCY_EXT :: GLenum Source #

# Functions

glProgramParameteriEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `pname` of type ProgramParameterPName.
-> GLint | `value`.
-> m () |

This command is an alias for `glProgramParameteri`.